### Signal

# Clutter MotionController::enter

#### Declaration

    void
    enter (
      ClutterMotionController* self,
      ClutterSprite* sprite,
      gfloat x,
      gfloat y,
      gpointer user_data
    )

#### Description [src]

Emitted when `sprite` enters into the actor.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`sprite`

  Type: `ClutterSprite`

  The sprite in motion.

  The data is owned by the caller of the function.

`x`

  Type: `gfloat`

  The position in the X axis, in actor-relative coordinates.

`y`

  Type: `gfloat`

  The position in the Y axis, in actor-relative coordinates.